PrefabFiles = {
	"amuro",
	"amuro_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/amuro.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/amuro.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/amuro.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amuro.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/amuro_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amuro_silho.xml" ),

    Asset( "IMAGE", "bigportraits/amuro.tex" ),
    Asset( "ATLAS", "bigportraits/amuro.xml" ),

	Asset( "IMAGE", "images/map_icons/amuro.tex" ),
	Asset( "ATLAS", "images/map_icons/amuro.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_amuro.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_amuro.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_ghost_amuro.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_amuro.xml" ),

	Asset( "IMAGE", "images/avatars/self_inspect_amuro.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_amuro.xml" ),

	Asset( "IMAGE", "images/names_amuro.tex" ),
    Asset( "ATLAS", "images/names_amuro.xml" ),

	Asset( "IMAGE", "images/names_gold_amuro.tex" ),
    Asset( "ATLAS", "images/names_gold_amuro.xml" ),

    Asset( "IMAGE", "bigportraits/amuro_none.tex" ),
    Asset( "ATLAS", "bigportraits/amuro_none.xml" ),

}

AddMinimapAtlas("images/map_icons/amuro.xml")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.amuro = "Amuro"
STRINGS.CHARACTER_NAMES.amuro = "Amuro Tōru"
STRINGS.CHARACTER_DESCRIPTIONS.amuro = "*He is poses as a private detective who works as a waiter at Café Poirot'.\n*He is is Kogoro's apprentice.\n*He is hiding a lot of secrets."
STRINGS.CHARACTER_QUOTES.amuro = "\"The mystery has already been solved...\""

-- Custom speech strings
STRINGS.CHARACTERS.AMURO = require "speech_amuro"

-- The character's name as appears in-game
STRINGS.NAMES.AMURO = "Amuro Tōru"

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("amuro", "MALE")
